From 9b3557e03a669b7a7e4797b72f35efdbe0d85845 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Wed, 29 Jul 2026 06:38:21 +0000
Subject: [PATCH] vulkan-validation-layers: upgrade 1.4.350.1 -> 1.4.357.0

f4874eee1 tests: Add GPU-AV + RT buffer val + desc heap test
2b8b0989f dump: Handle Mutable Type with Descriptor Buffer
5077ebd61 tests: Test buffer size when copying to bc3
010285cdb layers: Fix validating buffer bounds
06c589db2 gpuav: Heap/Buffer indirect buffer moved from global to CB
738376179 gpuav: Better BDA error message
61f99a290 gpuav: Make failed GPL linking a warning
68abf0e83 gpuav: Print the PushData in error messages
fe48dda36 layers: Fix immutable sampler compare
da95cbcf5 layers: Fix printing device address
7e13cbe7a layers: Fix 00968 message
8ce38c995 layers: Fix vertex attrib error locations
8dc2d227e layers: Improve 07312 message
c3139a8c8 gpuav: Disable buffer validation with desc heap
9bf2b0524 gpuav: Fix destruction order on process exit
ceb4af148 settings: Add vkconfig warnings for Legacy Detection
aab8a3596 docs: Add Descriptor Hashing docs
186dcbc2c layers: Fix UntypedImageTexelPointer used for TexelBuffers
b3b204491 layers: Fix false positive present semaphore reuse
84e4e10cb gpuav: Handle Untyped Samplers
a8bb0ed79 tests: Replace i8 -> i32 in TOSA ADD; fix tests
86f065fe9 layers: Fix vkconfig error messages
aaeec0b93 layers: Fix out-of-bounds crash in static descriptor validation
8640f2c74 sync: Add vkCmdDrawMultiIndexedEXT entrypoint
6d2986762 layers: Note current push data detection limitation
48c882564 tests: Add MakeZeroSetAndBindingMapping
201335c85 build(deps): bump actions/setup-python from 6 to 7
b73c06d33 tests: Disable bp swapchain creation test on wayland
f1995ba32 layers: Don't warn for MAILBOX on wayland
0d88b6522 layers: Improve info level information
7fa99970a tests: Fix gpu-av sync issue
f19a66332 sync: Stop using SyncOpBase::Record for render pass
6727ae473 layers: Add 3D dynamicRendering checks
db4e50138 layers: VUID Churn 357
6022fd0b2 build: Export VVL symbols via .def for clang on windows-msvc
709d5b8d7 settings: Add a Core Validation preset
96f5b62a8 sync: Stop using SyncOpBase::Record for events
7cf92a222 layers: Redo DataGraph namespace
314b3a99b layers: Checks and tests for VUIDs 9974, 9975, 9963, 9978, 9979
e4786f7ce build: Update shader toolchain for SDK
63a8d9c81 build: Update to header v1.4.357
2f29a84d7 gpuav: Remove auto error_found bool
b6bb93b41 layers: Remove setting to turn off FIND_GRAINED_LOCKING
6f1a67ab5 dump: Print out the descriptor buffer offset
25a3f85f9 dh: Only report error if limit not hit
025a31b5a layers: Track null VK_EXT_descriptor_buffer correctly
375d4f849 layers: Handle untyped hardcoded ArrayStride
023be642c sync: Stop using SyncOpBase::Record for pipeline barriers
d9b3b8131 sync: Devirtualize SyncOp Record method
e721bf357 layers: Add comment around Entry alignas
a7ea9c2ec build: Fix compiler warning
b7c080961 sync: Stop using SyncOpBase::Validate for renderpass
ed2809820 dump: Sort and detect pushData indexes
a0cda5776 gpuav: Add Untyped Slang support
02d140885 tests: Fix invalid untyped spirv
689fc11ca gpuav: Fix mixing draw and dispatch for buffer/heaps
de034b3

[Changelog truncated as it exceeds 3000 characters;
the full changelog can be found in an attachment to the AUH email]
---
 ... => vulkan-validation-layers_1.4.357.0.bb} | 70 ++++++++++++++++++-
 1 file changed, 67 insertions(+), 3 deletions(-)
 rename meta/recipes-graphics/vulkan/{vulkan-validation-layers_1.4.350.1.bb => vulkan-validation-layers_1.4.357.0.bb} (36%)

diff --git a/meta/recipes-graphics/vulkan/vulkan-validation-layers_1.4.350.1.bb b/meta/recipes-graphics/vulkan/vulkan-validation-layers_1.4.357.0.bb
similarity index 36%
rename from meta/recipes-graphics/vulkan/vulkan-validation-layers_1.4.350.1.bb
rename to meta/recipes-graphics/vulkan/vulkan-validation-layers_1.4.357.0.bb
index 163fe0beea..f3510ac3d9 100644
--- a/meta/recipes-graphics/vulkan/vulkan-validation-layers_1.4.350.1.bb
+++ b/meta/recipes-graphics/vulkan/vulkan-validation-layers_1.4.357.0.bb
@@ -1,3 +1,67 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- LICENSE.txt
+# +++ LICENSE.txt
+# @@ -256,3 +256,50 @@
+#  FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE,
+#  ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
+#  DEALINGS IN THE SOFTWARE.
+# +
+# +===========================================================================================
+# +File: layers/external/xxhash.h
+# +
+# +Copyright (c) 2020-2024 The Khronos Group Inc.
+# +Copyright (c) 2020-2024 Valve Corporation
+# +Copyright (c) 2020-2024 LunarG, Inc.
+# +
+# +Redistribution and use in source and binary forms, with or without
+# +modification, are permitted provided that the following conditions are met:
+# +
+# +1. Redistributions of source code must retain the above copyright notice, this
+# +   list of conditions and the following disclaimer.
+# +
+# +2. Redistributions in binary form must reproduce the above copyright notice,
+# +   this list of conditions and the following disclaimer in the documentation
+# +   and/or other materials provided with the distribution.
+# +
+# +THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
+# +ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# +WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# +DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
+# +ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# +(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# +LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
+# +ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# +(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# +SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# +
+# +===========================================================================================
+# +File: scripts/clang-format-diff.py
+# +
+# +---- LLVM Exceptions to the Apache 2.0 License ----
+# +
+# +   As an exception, if, as a result of your compiling your source code, portions
+# +   of this Software are embedded into an Object form of such source code, you
+# +   may redistribute such embedded portions in such Object form without complying
+# +   with the conditions of Sections 4(a), 4(b) and 4(d) of the License.
+# +
+# +   In addition, if you combine or link compiled forms of this Software with
+# +   software that is licensed under the GPLv2 ("Combined Software") and if a
+# +   court of competent jurisdiction determines that the patent provision (Section
+# +   3), the indemnity provision (Section 9) or other Section of the License
+# +   conflicts with the conditions of the GPLv2, you may retroactively and
+# +   prospectively choose to deem waived or otherwise exclude such Section(s) of
+# +   the License, but only in their entirety and only with respect to the Combined
+# +   Software.
+# 
+#
+
 SUMMARY = "Vulkan Validation layers"
 DESCRIPTION = "Khronos official Vulkan validation layers to assist developers \
 in verifying that their applications correctly use the Vulkan API"
@@ -6,10 +70,10 @@ BUGTRACKER = "https://github.com/KhronosGroup/Vulkan-ValidationLayers"
 SECTION = "libs"
 
 LICENSE = "Apache-2.0 AND BSL-1.0 AND MIT"
-LIC_FILES_CHKSUM = "file://LICENSE.txt;md5=b1a17d548e004bfbbfaa0c40988b6b31"
+LIC_FILES_CHKSUM = "file://LICENSE.txt;md5=15158583155fe4efc33ea65c1370a177"
 
-SRC_URI = "git://github.com/KhronosGroup/Vulkan-ValidationLayers.git;branch=vulkan-sdk-1.4.350;protocol=https;tag=vulkan-sdk-${PV}"
-SRCREV = "b9d4f9ead8d97c1bb0d174ea07d8aed8273818a5"
+SRC_URI = "git://github.com/KhronosGroup/Vulkan-ValidationLayers.git;branch=main;protocol=https;tag=vulkan-sdk-${PV}"
+SRCREV = "f4874eee15c78d7bdb2b7e60659d539f14741500"
 
 REQUIRED_DISTRO_FEATURES = "vulkan"
 
-- 
2.47.1

